/**
 * @description Wrap表单配置信息
 */
export default function (wrap) {
  const menuWrapForm = [
    {
      type: 'text',
      field: 'title',
      label: '标题',
      initval: wrap.title || '',
      required: false
    },
    {
      type: 'text',
      field: 'name',
      label: '组件名称',
      initval: wrap.name || '',
      tooltip: '用于组件间的区分。',
      required: true
    },
    {
      type: 'number',
      field: 'width',
      label: '组件宽度',
      initval: wrap.width || 24,
      tooltip: '栅格布局，每行等分为24列。',
      min: 1,
      max: 24,
      precision: 0,
      required: true
    },
    {
      type: 'number',
      field: 'maxcount',
      label: '菜单数',
      initval: wrap.maxcount || '',
      tooltip: '菜单的最大显示数量，空时不做限制。',
      min: 1,
      max: 9999,
      precision: 0,
      required: false
    },
    {
      type: 'radio',
      field: 'datatype',
      label: '数据来源',
      initval: wrap.datatype || 'static',
      tooltip: '选择静态值，无需配置数据源。',
      required: false,
      options: [
        {value: 'dynamic', label: '动态'},
        {value: 'static', label: '静态'},
      ]
    },
    {
      type: 'radio',
      field: 'layout',
      label: '菜单布局',
      initval: wrap.layout || 'grid',
      required: false,
      options: [
        {value: 'grid', label: '栅格'},
        {value: 'vertical', label: '上下'},
        {value: 'flex', label: '弹性'},
      ],
      controlFields: [
        {field: 'menuWidth', values: ['grid']},
      ],
    },
    {
      type: 'number',
      field: 'menuWidth',
      label: '菜单宽度',
      initval: wrap.menuWidth || 6,
      tooltip: '栅格布局，每行等分为24列。',
      min: 1,
      max: 24,
      precision: 0,
      required: true
    },
  ]

  return menuWrapForm
} 